Subject: Don't let The government shutdown keep you from your new-home

From: "FHA Loan Lenders" <[email-masked]>
Date: Thu, 6 Aug 2015 18:02:46 -0700

Don't let The government shutdown keep you from your new-home